> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cleartalk.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all A2P brand registrations



## OpenAPI

````yaml get /agency/twilio/a2p-brand-registrations
openapi: 3.0.0
info:
  title: ClearTalk API
  description: The ClearTalk API Documentation
  version: '1.0'
  contact:
    name: Developer Support
    email: devsupport@cleartalk.ai
servers:
  - url: https://api.cleartalk.ai
    description: ClearTalk AI API Server
security: []
tags: []
paths:
  /agency/twilio/a2p-brand-registrations:
    get:
      tags:
        - Twilio
      summary: Get all A2P brand registrations
      operationId: TwilioController_getA2PBrandRegistrations
      parameters: []
      responses:
        '200':
          description: Returns list of A2P brand registrations
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    sid:
                      type: string
                      description: Brand registration SID
                    account_sid:
                      type: string
                      description: Account SID
                    customer_profile_bundle_sid:
                      type: string
                      description: Customer profile bundle SID
                    brand_type:
                      type: string
                      description: Brand type
                    brand_status:
                      type: string
                      description: Brand status
                    date_created:
                      type: string
                      description: Creation date
                    date_updated:
                      type: string
                      description: Last update date
                    url:
                      type: string
                      description: Resource URL
        '401':
          description: Unauthorized
        '500':
          description: Internal server error
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: API Key for authentication

````